* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/*
 * -- BASE STYLES --
 * Most of these are inherited from Base, but I want to change a few.
 */
 body {
    line-height: 1.7em;
    color: #FFF;
    font-size: 13px;
}

h1, h2, h3, h4, h5, h6, label {
    /*color: #34495e;*/
}

.pure-img-responsive {
    max-width: 100%;
    height: auto;
}

/*
 * -- LAYOUT STYLES --
 * These are some useful classes which I will need
 */
 .l-box {
    padding: 1em;
}

.l-box-lrg {
    padding: 2em;
    border-bottom: 1px solid rgba(0,0,0,0.1);
}

.is-center {
    text-align: center;
}

/*
 * -- PURE BUTTON STYLES --
 * I want my pure-button elements to look a little different
 */
 .pure-button {
    background-color: #1f8dd6;
    color: white;
    padding: 0.5em 2em;
    border-radius: 5px;
}

a.pure-button-primary {
    background: yellow;
    color: #000;
    border: 1px solid yellow;
    border-radius: 5px;
    font-size: 120%;
    font-weight: bold;
}
a.pure-button-primary:hover {
    background: black;
    color: yellow;
}

a#alt-enter-button {
    color: white;
    font-size: 10px;
}
a#alt-enter-button:hover {
    color: #ef1515;
}

/*
 * -- MENU STYLES --
 * I want to customize how my .pure-menu looks at the top of the page
 */
.home-menu {
    background: #910202;
    padding: 0.5em;
    text-align: center;
    box-shadow: 0 1px 1px rgba(0,0,0, 0.10);
}

.pure-menu.pure-menu-fixed {
    /* Fixed menus normally have a border at the bottom. */
    border-bottom: none;
    /* I need a higher z-index here because of the scroll-over effect. */
    z-index: 4;
}

.home-menu .pure-menu-heading {
    color: white;
    font-weight: 400;
    font-size: 120%;
}

.home-menu .pure-menu-selected a {
    color: white;
}

.home-menu a {
    color: #FFF;
    font-weight: bold;
}
.home-menu li a:hover,
.home-menu li a:focus {
    background: none;
    border: none;
    color: #000;
}

/*
 * -- SUBMENU STYLES --
 */
.pure-menu-item {
    position: relative;
    left: 0;
    right: 0;
}
.pure-menu-children {
    background-color: black;
    padding: 10px 0px 10px 20px;
    left: -400px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px; /* future proofing */
    -khtml-border-radius: 10px; /* for old Konqueror browsers */
}
.home-menu li li {
    width: 20%;
    float: left;
}
.home-menu li li a {
    padding: 4px 0px 4px 0px;
    text-transform: capitalize;
}
.home-menu li li a:hover,
.home-menu li li a:focus {
    background: none;
    border: none;
    color: #BB0B16;
}

/*
 * -- SPLASH STYLES --
 * This is the blue top section that appears on the page.
 */

 .splash-container {
    background-image: url("../img/landing/splash-container_bg.jpg");
    background-repeat: repeat-y repeat-x;
    z-index: 1;
    overflow: hidden;
    /* The following styles are required for the "scroll-over" effect */
    width: 100%;
}

.splash {
    /* absolute center .splash within .splash-container */
    width: 80%;
    margin-top: 85px; margin-right: auto; margin-left: auto; margin-bottom: 70px;
    text-align: center;
    text-transform: uppercase;
}

.splash h1 {
    font-size: 240%;
}

/* This is the main heading that appears on the blue section */
.splash-head {
    font-size: 20px;
    font-weight: bold;
    color: white;
    border: 3px solid white;
    padding: 1em 1.6em;
    font-weight: 100;
    border-radius: 5px;
    line-height: 1em;
}

/* This is the subheading that appears on the blue section */
.splash-subhead {
    color: #ef1515;
    font-size: 100%;
    font-weight: 500;
}

/*
 * -- CONTENT STYLES --
 * This represents the content area (everything below the blue section)
 */
 .content-wrapper {
    /* These styles are required for the "scroll-over" effect */
    width: 100%;
    background: white;
}

/* This is the class used for the main content headers (<h2>) */
.content-head {
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    margin: 2em 0 1em;
}

/* This is a modifier class used when the content-head is inside a ribbon */
.content-head-ribbon {
    color: white;
}

/* This is the class used for the content sub-headers (<h3>) */
.content-subhead {
    color: #1f8dd6;
}
.content-subhead i {
    margin-right: 7px;
}

/**/

img { border: 0; }

/* Tiny Circleslider */
#rotatescroll img {height: 200px; width: 200px;}
#rotatescroll { height:200px; position:relative; margin:0 auto; width:200px; }
#rotatescroll .viewport{ height:200px; position: relative; margin:0 auto; overflow:hidden; width:200px; }
#rotatescroll .overview { position: absolute; width: 798px; list-style: none; margin: 0; padding: 0;  left: 0; top: 0; }
#rotatescroll .overview li { height:200px; width:200px; float: left; position: relative; }
#rotatescroll .overlay {background:url("../img/landing/carousel/carousel_overlay.png") no-repeat 0 0; background-size: 200px 200px; pointer-events: none; position: absolute; left: 0; top: 0; height:200px; width:200px;}
#rotatescroll .dot span { display: none; }

/* This is the class used for the dark-background areas. */
.ribbon {
    background: black;
}

/* This is the class used for the footer */
.footer {
    background: #111;
}

/*#################################################################################################################################################
 * -- Smartphone (AND UP) MEDIA QUERIES --
 * On smartphones and other small-sized devices, we want to over-ride some
 * of the mobile and tablet styles.
 */
 @media (min-width: 28em) {

    .splash-head {
        font-size: 250%;
    }

    .splash {
        margin-top: 100px;
    }

    .splash h1 {
        font-size: 400%;
    }

    .splash-subhead {
        font-size: 140%;
    }

    /* Tiny Circleslider */
    #rotatescroll img {height: 300px; width: 300px; }
    #rotatescroll { height:300px; width:300px; }
    #rotatescroll .viewport{ height:300px; position: relative; margin:0 auto; overflow:hidden; width:300px }
    #rotatescroll .overview li { height:300px; width:300px;}
    #rotatescroll .overlay {background-size: 300px 300px; height:300px; width:300px; }

    /*
     * -- SUBMENU STYLES --
     */
    .pure-menu-horizontal .pure-menu-children {
        left: -405px;
        right: -140px;
    }
    .pure-menu-children {
        padding: 10px 5px 10px 0px;
    }
}

/*#################################################################################################################################################
 * -- TABLET (AND UP) MEDIA QUERIES --
 * On tablets and other medium-sized devices, we want to customize some
 * of the mobile styles.
 */
 @media (min-width: 48em) {

    /* We increase the body font size */
    body {
        font-size: 16px;
    }
    /* We want to give the content area some more padding */
    .content {
        padding: 1em;
    }

    /* We can align the menu header to the left, but float the
    menu items to the right. */
    .home-menu {
        text-align: left;
    }
    .home-menu ul {
        float: right;
    }

    /* We decrease the width of the .splash, since we have more width
    to work with */
    .splash {
        margin-top: 120px;
    }

    .splash-head {
        font-size: 250%;
    }

    .splash h1 {
        font-size: 500%;
    }

    /* We remove the border-separator assigned to .l-box-lrg */
    .l-box-lrg {
        border: none;
    }

    a#alt-enter-button {
        color: white;
        font-size: 11px;
    }

    /*
     * -- SUBMENU STYLES --
     */
    .pure-menu-horizontal .pure-menu-children {
        left: -750px;
        right: -10px;
    }
    .pure-menu-children {
        padding: 10px 0px 10px 20px;
    }
}

/*#################################################################################################################################################
 * -- DESKTOP (AND UP) MEDIA QUERIES --
 * On desktops and other large devices, we want to over-ride some
 * of the mobile and tablet styles.
 */
 @media (min-width: 78em) {
    /* We increase the header font size even more */
    .splash-head {
        font-size: 300%;
    }
}

/*#################################################################################################################################################
 * -- LAPTOP (AND DOWN) MEDIA QUERIES --
 */
 @media screen and (max-height: 48em) {
    /*
     * -- SUBMENU STYLES --
     */
    .home-menu li li {
        width: 15%;
    }
    .pure-menu-horizontal .pure-menu-children {
        left: -840px;
        right: -140px;
    }
}